<template>
    <q-item class="phone-item">
        <q-item-section avatar>
            <q-checkbox :value="active" :disable="disabled" @input="(newVal) => handleActiveChange(newVal)" />
        </q-item-section>
        <q-item-section>
            <q-item-label overline>{{ code }}</q-item-label>
            <q-item-label>{{ countryString }}</q-item-label>
        </q-item-section>

        <q-item-section side v-if="active">
            <q-item-label caption>{{ $t('trunks.usd_pm') }}</q-item-label>
            <q-input :value="cost" @change="(e) => handleCostChange(e.target.value)" type="number" mask="#.##" step="0.01"
                filled style="max-width: 100px" />
        </q-item-section>
    </q-item>
</template>
 
<script>
export default {
    props: {
        code: {
            required: true
        },
        active: {
            required: true
        },
        disabled: {
            required: true
        },
        countryString: {
            required: true
        },
        cost: {
            required: true
        },
        onDataUpdate: {
            required: true
        }
    },
    methods: {
        handleActiveChange(newVal)
        {
            this.onDataUpdate(this.code, newVal, this.cost)
        },
        handleCostChange(newVal)
        {
            this.onDataUpdate(this.code, this.active, parseFloat(newVal))
        }
    }
};
</script>
<style scoped>
.phone-item {
    width: 100%;
}

.text-overline {
    letter-spacing: normal;
}
</style>